/* ----------------------------------------
 * Origin  : GFI INFORMATIQUE 
 * Project : CDPP Propagation Tool 
 * ----------------------------------------
 * History 
 * Version : 21/09/2016 - V2.2.2 (H2020)
 *  Creation
 * ----------------------------------------
 */
package fr.tlse.irap.tool.radial;

import java.util.ArrayList;
import java.util.List;

import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlRootElement;

@XmlRootElement
public class RadialCatalog {

	//@XmlElement(name = "catalog", nillable = true)
	private List<CmeRadial> catalog; 

	public RadialCatalog() {
		catalog = new ArrayList<CmeRadial>();
	}

	public RadialCatalog(List<CmeRadial> catalog) {
		this.catalog = catalog;
	}

	@XmlElement(name = "catalog")
	public List<CmeRadial> getCatalog() {
		return catalog;
	}

	public void setCatalog(List<CmeRadial> catalog) {
		this.catalog = catalog;
	}

}
